Bug 1019742 - Out of data read after write on node losing ownership
Out of data read after write on node losing ownership
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-10-16 06:42 EDT by Radim Vansa
Modified: 2014-03-24 21:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
During the cluster rebalance process, after a node joins or leaves the cluster, a read operation may retrieve data that has already been overwritten. The behavior was observed in transactional mode but may not be limited to it.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3635 Critical Resolved Out of data read after write on node losing ownership 2014-03-24 21:36:19 EDT

  None (edit)
Description Radim Vansa 2013-10-16 06:42:43 EDT
In a situation where a node is losing ownership of an entry (during a state transfer), when the node does a write (and commits that), the change is propagated only to the new owners, the entry is not written locally. However, when it executes read for this key afterwards, it gets the old value as this is directly retrieved from the data container.

Note that the entry should not be written locally if the invalidation was already executed.

This bug was observed in transactional mode, but might not be limited to it.
Comment 2 JBoss JIRA Server 2013-10-18 05:45:33 EDT
Pedro Ruivo <pedroruivo2@gmail.com> updated the status of jira ISPN-3635 to Coding In Progress

Note You need to log in before you can comment on or make changes to this bug.